Falha na atualização da glibc

1. Falha na atualização da glibc

Mashn
Mashn

(usa Outra)

Enviado em 29/12/2017 - 09:59h

Me ajudem.
Tenho o seguinte erro ao tentar atualizar:

configure: error: 
*** LD_LIBRARY_PATH shouldn't contain the current directory when
*** building glibc. Please change the environment variable
*** and run configure again.
* ERROR: sys-libs/glibc-2.25-r9::gentoo failed (configure phase):
* failed to configure glibc
*
* Call stack:
* ebuild.sh, line 124: Called src_configure
* environment, line 3304: Called toolchain-glibc_src_configure
* environment, line 4596: Called foreach_abi 'toolchain-glibc_do_src_configure'
* environment, line 1391: Called toolchain-glibc_do_src_configure
* environment, line 4279: Called glibc_do_configure 'nptl'
* environment, line 1990: Called die
* The specific snippet of code:
* "[email protected]" || die "failed to configure glibc";
*
* If you need support, post the output of `emerge --info '=sys-libs/glibc-2.25-r9::gentoo'`,
* the complete build log and the output of `emerge -pqv '=sys-libs/glibc-2.25-r9::gentoo'`.
* The complete build log is located at '/var/log/portage/sys-libs:glibc-2.25-r9:20171229-135335.log'.
* The ebuild environment file is located at '/var/tmp/portage/sys-libs/glibc-2.25-r9/temp/environment'.
* Working directory: '/var/tmp/portage/sys-libs/glibc-2.25-r9/work/build-x86-x86_64-pc-linux-gnu-nptl'
* S: '/var/tmp/portage/sys-libs/glibc-2.25-r9/work/glibc-2.25'

>>> Failed to emerge sys-libs/glibc-2.25-r9, Log file:

>>> '/var/log/portage/sys-libs:glibc-2.25-r9:20171229-135335.log'

* Messages for package sys-libs/glibc-2.25-r9:
* Log file: /var/log/portage/sys-libs:glibc-2.25-r9:20171229-135335.log

* ERROR: sys-libs/glibc-2.25-r9::gentoo failed (configure phase):
* failed to configure glibc
*
* Call stack:
* ebuild.sh, line 124: Called src_configure
* environment, line 3304: Called toolchain-glibc_src_configure
* environment, line 4596: Called foreach_abi 'toolchain-glibc_do_src_configure'
* environment, line 1391: Called toolchain-glibc_do_src_configure
* environment, line 4279: Called glibc_do_configure 'nptl'
* environment, line 1990: Called die
* The specific snippet of code:
* "[email protected]" || die "failed to configure glibc";
*
* If you need support, post the output of `emerge --info '=sys-libs/glibc-2.25-r9::gentoo'`,
* the complete build log and the output of `emerge -pqv '=sys-libs/glibc-2.25-r9::gentoo'`.
* The complete build log is located at '/var/log/portage/sys-libs:glibc-2.25-r9:20171229-135335.log'.
* The ebuild environment file is located at '/var/tmp/portage/sys-libs/glibc-2.25-r9/temp/environment'.
* Working directory: '/var/tmp/portage/sys-libs/glibc-2.25-r9/work/build-x86-x86_64-pc-linux-gnu-nptl'
* S: '/var/tmp/portage/sys-libs/glibc-2.25-r9/work/glibc-2.25'



  


2. Re: Falha na atualização da glibc

eu20noel
eu20noel

(usa Gentoo)

Enviado em 01/01/2018 - 03:03h

Mashn escreveu:

Me ajudem.
Tenho o seguinte erro ao tentar atualizar:

configure: error: 
*** LD_LIBRARY_PATH shouldn't contain the current directory when
*** building glibc. Please change the environment variable
*** and run configure again.
* ERROR: sys-libs/glibc-2.25-r9::gentoo failed (configure phase):
* failed to configure glibc
*
* Call stack:
* ebuild.sh, line 124: Called src_configure
* environment, line 3304: Called toolchain-glibc_src_configure
* environment, line 4596: Called foreach_abi 'toolchain-glibc_do_src_configure'
* environment, line 1391: Called toolchain-glibc_do_src_configure
* environment, line 4279: Called glibc_do_configure 'nptl'
* environment, line 1990: Called die
* The specific snippet of code:
* "[email protected]" || die "failed to configure glibc";
*
* If you need support, post the output of `emerge --info '=sys-libs/glibc-2.25-r9::gentoo'`,
* the complete build log and the output of `emerge -pqv '=sys-libs/glibc-2.25-r9::gentoo'`.
* The complete build log is located at '/var/log/portage/sys-libs:glibc-2.25-r9:20171229-135335.log'.
* The ebuild environment file is located at '/var/tmp/portage/sys-libs/glibc-2.25-r9/temp/environment'.
* Working directory: '/var/tmp/portage/sys-libs/glibc-2.25-r9/work/build-x86-x86_64-pc-linux-gnu-nptl'
* S: '/var/tmp/portage/sys-libs/glibc-2.25-r9/work/glibc-2.25'

>>> Failed to emerge sys-libs/glibc-2.25-r9, Log file:

>>> '/var/log/portage/sys-libs:glibc-2.25-r9:20171229-135335.log'

* Messages for package sys-libs/glibc-2.25-r9:
* Log file: /var/log/portage/sys-libs:glibc-2.25-r9:20171229-135335.log

* ERROR: sys-libs/glibc-2.25-r9::gentoo failed (configure phase):
* failed to configure glibc
*
* Call stack:
* ebuild.sh, line 124: Called src_configure
* environment, line 3304: Called toolchain-glibc_src_configure
* environment, line 4596: Called foreach_abi 'toolchain-glibc_do_src_configure'
* environment, line 1391: Called toolchain-glibc_do_src_configure
* environment, line 4279: Called glibc_do_configure 'nptl'
* environment, line 1990: Called die
* The specific snippet of code:
* "[email protected]" || die "failed to configure glibc";
*
* If you need support, post the output of `emerge --info '=sys-libs/glibc-2.25-r9::gentoo'`,
* the complete build log and the output of `emerge -pqv '=sys-libs/glibc-2.25-r9::gentoo'`.
* The complete build log is located at '/var/log/portage/sys-libs:glibc-2.25-r9:20171229-135335.log'.
* The ebuild environment file is located at '/var/tmp/portage/sys-libs/glibc-2.25-r9/temp/environment'.
* Working directory: '/var/tmp/portage/sys-libs/glibc-2.25-r9/work/build-x86-x86_64-pc-linux-gnu-nptl'
* S: '/var/tmp/portage/sys-libs/glibc-2.25-r9/work/glibc-2.25'



Remova as flags globais do make.conf e depois atualize o sistema usando o newuse.






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts